## Table: `items`

**Description:**

Defines `items` table in the World database.

**Columns:**
- `id` (int(10), PRIMARY KEY, NOT NULL)
- `bPvpDesc` (tinyint(1), NOT NULL, DEFAULT 0)
- `name` (varchar(100), NOT NULL, DEFAULT '')
- `item_type` (enum('Normal','Weapon','Ranged','Armor','Shield','Bag','Scroll','Recipe','Food','Bauble','House','Thrown','House, NOT NULL, DEFAULT 'Normal')
- `icon` (smallint(5), NOT NULL, DEFAULT 0)
- `developer_notes` (text, DEFAULT NULL)
- `count` (smallint(5), NOT NULL, DEFAULT 0)
- `tier` (tinyint(3), NOT NULL, DEFAULT 1)
- `skill_id_req` (int(10), NOT NULL, DEFAULT 0)
- `skill_id_req2` (int(10), NOT NULL, DEFAULT 0)
- `skill_min` (smallint(5), NOT NULL, DEFAULT 0)
- `weight` (int(10), NOT NULL, DEFAULT 0)
- `description` (text, DEFAULT NULL)
- `show_name` (tinyint(3), NOT NULL, DEFAULT 1)
- `attuneable` (tinyint(1), NOT NULL, DEFAULT 0)
- `artifact` (tinyint(1), NOT NULL, DEFAULT 0)
- `lore` (tinyint(1), NOT NULL, DEFAULT 0)
- `temporary` (tinyint(1), NOT NULL, DEFAULT 0)
- `notrade` (tinyint(1), NOT NULL, DEFAULT 0)
- `novalue` (tinyint(1), NOT NULL, DEFAULT 0)
- `nozone` (tinyint(1), NOT NULL, DEFAULT 0)
- `nodestroy` (tinyint(1), NOT NULL, DEFAULT 0)
- `crafted` (tinyint(1), NOT NULL, DEFAULT 0)
- `good_only` (tinyint(1), NOT NULL, DEFAULT 0)
- `evil_only` (tinyint(1), NOT NULL, DEFAULT 0)
- `stacklore` (tinyint(1), NOT NULL, DEFAULT 0)
- `lore_equip` (tinyint(1), NOT NULL, DEFAULT 0)
- `no_transmute` (tinyint(1), NOT NULL, DEFAULT 0)
- `CURSED_flags_32768` (tinyint(1), NOT NULL, DEFAULT 0)
- `ornate` (tinyint(1), NOT NULL, DEFAULT 0)
- `heirloom` (tinyint(1), NOT NULL, DEFAULT 0)
- `appearance_only` (tinyint(1), NOT NULL, DEFAULT 0)
- `unlocked` (tinyint(1), NOT NULL, DEFAULT 0)
- `reforged` (tinyint(1), NOT NULL, DEFAULT 0)
- `norepair` (tinyint(1), NOT NULL, DEFAULT 0)
- `etheral` (tinyint(1), NOT NULL, DEFAULT 0)
- `refined` (tinyint(1), NOT NULL, DEFAULT 0)
- `no_salvage` (tinyint(1), NOT NULL, DEFAULT 0)
- `indestructable` (tinyint(1), NOT NULL, DEFAULT 0)
- `no_experiment` (tinyint(1), NOT NULL, DEFAULT 0)
- `house_lore` (tinyint(1), NOT NULL, DEFAULT 0)
- `flags2_4096` (tinyint(1), NOT NULL, DEFAULT 0)
- `building_block` (tinyint(1), NOT NULL, DEFAULT 0)
- `free_reforge` (tinyint(1), NOT NULL, DEFAULT 0)
- `infusable` (tinyint(1), NOT NULL, DEFAULT 0)
- `merc_only` (tinyint(1), NOT NULL, DEFAULT 0)
- `mount_only` (tinyint(1), NOT NULL, DEFAULT 0)
- `usable` (tinyint(1), NOT NULL, DEFAULT 0)
- `slots` (int(10), NOT NULL, DEFAULT 0)
- `set_id` (int(10), DEFAULT NULL)
- `sell_price` (int(10), NOT NULL, DEFAULT 0)
- `sell_status_amount` (int(10), NOT NULL, DEFAULT 0)
- `stack_count` (smallint(5), NOT NULL, DEFAULT 1)
- `collectable` (tinyint(3), NOT NULL, DEFAULT 0)
- `collectable_unk` (tinyint(3), NOT NULL, DEFAULT 0)
- `adornment_slot1` (tinyint(3), NOT NULL, DEFAULT 255)
- `adornment_slot2` (tinyint(3), NOT NULL, DEFAULT 255)
- `adornment_slot3` (tinyint(3), NOT NULL, DEFAULT 255)
- `adornment_slot4` (tinyint(3), NOT NULL, DEFAULT 255)
- `adornment_slot5` (tinyint(3), NOT NULL, DEFAULT 255)
- `adornment_slot6` (tinyint(3), NOT NULL, DEFAULT 255)
- `offers_quest_id` (int(10), NOT NULL, DEFAULT 0)
- `offers_quest_name` (varchar(255), DEFAULT NULL)
- `required_by_quest_name` (varchar(255), DEFAULT NULL)
- `soe_autoquest_id` (int(11), DEFAULT NULL)
- `part_of_quest_id` (int(10), NOT NULL, DEFAULT 0)
- `max_charges` (smallint(5), NOT NULL, DEFAULT 0)
- `display_charges` (tinyint(1), NOT NULL, DEFAULT 0)
- `recommended_level` (smallint(5), NOT NULL, DEFAULT 0)
- `adventure_default_level` (smallint(5), NOT NULL, DEFAULT 0)
- `tradeskill_default_level` (smallint(5), NOT NULL, DEFAULT 0)
- `required_level` (smallint(5), NOT NULL, DEFAULT 1)
- `adventure_classes` (bigint(20), NOT NULL, DEFAULT 0)
- `tradeskill_classes` (bigint(20), NOT NULL, DEFAULT 0)
- `soe_item_id` (int(11), NOT NULL, DEFAULT 0)
- `soe_item_crc` (int(11), NOT NULL, DEFAULT 0)
- `soe_item_id_unsigned` (int(10), NOT NULL, DEFAULT 0)
- `soe_item_crc_unsigned` (int(10), NOT NULL, DEFAULT 0)
- `lua_script` (varchar(255), DEFAULT NULL)
- `transmuted_material` (tinyint(1), NOT NULL, DEFAULT 0)
- `harvest` (tinyint(3), DEFAULT 0)
- `body_drop` (tinyint(3), NOT NULL, DEFAULT 0)
- `no_buy_back` (tinyint(1), NOT NULL, DEFAULT 0)
- `footer_unk_61` (tinyint(3), NOT NULL, DEFAULT 0)
- `footer_unk_7` (tinyint(3), NOT NULL, DEFAULT 0)
- `header_oversized1` (smallint(6), NOT NULL, DEFAULT 0)
- `header_oversized2` (smallint(6), NOT NULL, DEFAULT 0)
- `header_bytes5` (binary(5), NOT NULL, DEFAULT '0\0\0\0\0')
- `header_bytes10` (binary(10), NOT NULL, DEFAULT '0\0\0\0\0\0\0\0\0\0')
- `header_unk19` (int(10), NOT NULL, DEFAULT 0)
- `header_ftr_type_unk` (int(10), NOT NULL, DEFAULT 0)
- `effect_type` (int(10), NOT NULL, DEFAULT 0)
- `tinkered` (tinyint(1), NOT NULL, DEFAULT 0)
- `book_language` (tinyint(3), DEFAULT 0)
- `classic_icon` (smallint(5), NOT NULL, DEFAULT 0)
- `classic_refresh` (tinyint(1), NOT NULL, DEFAULT 0)

**Primary Keys:**
- id

**Indexes/Notes:**
- KEY `ItemTypeIDX` (`item_type`)
- KEY `ItemNameIDX` (`name`)
- KEY `FK_items_item_itemsets` (`set_id`)
- KEY `OffersQuestIDX` (`offers_quest_name`) USING BTREE
- KEY `RequiredByQuestIDX` (`required_by_quest_name`)
- KEY `Index 8` (`soe_item_id_unsigned`)
- KEY `Pvp_Id_UIDX` (`bPvpDesc`,`soe_item_id`) USING BTREE
- CONSTRAINT `FK_items_item_itemsets` FOREIGN KEY (`set_id`) REFERENCES `item_itemsets` (`id`)